package com.steerinfo.ems.tcmtimedefinition.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class TCmTimeDefinition implements IBasePO<String> {

    /**
     * 序列编号(DEFID,VARCHAR,40)
     */
    @ApiModelProperty(value="序列编号",required=false)
    private String defid;

    /**
     * 序列名称(DEFNAME,VARCHAR,60)
     */
    @ApiModelProperty(value="序列名称",required=true)
    private String defname;

    /**
     * 时间粒度(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="时间粒度",required=true)
    private String timegranid;

    /**
     * 所属粒度(STANDUNIT,VARCHAR,40)
     */
    @ApiModelProperty(value="所属粒度",required=true)
    private String standunit;

    /**
     * 间隔粒度(BASEUNIT,VARCHAR,40)
     */
    @ApiModelProperty(value="间隔粒度",required=true)
    private String baseunit;

    /**
     * 时间类型(CALCTYPE,VARCHAR,40)
     */
    @ApiModelProperty(value="时间类型",required=true)
    private String calctype;

    /**
     * 间隔(INTERVAL,VARCHAR,40)
     */
    @ApiModelProperty(value="间隔",required=true)
    private String interval;

    /**
     * 起始格式(STARTFORMAT,VARCHAR,40)
     */
    @ApiModelProperty(value="起始格式",required=true)
    private String startformat;

    /**
     * 结束格式(ENDFORMAT,VARCHAR,40)
     */
    @ApiModelProperty(value="结束格式",required=true)
    private String endformat;

    /**
     * 内容格式(TIMEFORMAT,VARCHAR,40)
     */
    @ApiModelProperty(value="内容格式",required=true)
    private String timeformat;

    /**
     * 附加序列说明(EXTRAINFO,VARCHAR,800)
     */
    @ApiModelProperty(value="附加序列说明",required=true)
    private String extrainfo;

    /**
     * 粒度默认序列(GRANDEFAULT,VARCHAR,1)
     */
    @ApiModelProperty(value="粒度默认序列",required=true)
    private String grandefault;

    /**
     * 偏移序列说明(OFFSETINFO,VARCHAR,200)
     */
    @ApiModelProperty(value="偏移序列说明",required=true)
    private String offsetinfo;

    /**
     * 创建人(CREATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="创建人",required=true)
    private String createman;

    /**
     * 创建时间(CREATETIME,DATE,7)
     */
    @ApiModelProperty(value="创建时间",required=true)
    private Date createtime;

    /**
     * 修改人(UPDATEMAN,VARCHAR,255)
     */
    @ApiModelProperty(value="修改人",required=true)
    private String updateman;

    /**
     * 修改时间(UPDATETIME,DATE,7)
     */
    @ApiModelProperty(value="修改时间",required=true)
    private Date updatetime;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.defid;
    }

    @Override
    public void setId(String defid) {
        this.defid = defid == null ? null : defid.trim();
    }

    public String getDefid() {
        return defid;
    }

    public void setDefid(String defid) {
        this.defid = defid == null ? null : defid.trim();
    }

    public String getDefname() {
        return defname;
    }

    public void setDefname(String defname) {
        this.defname = defname == null ? null : defname.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getStandunit() {
        return standunit;
    }

    public void setStandunit(String standunit) {
        this.standunit = standunit == null ? null : standunit.trim();
    }

    public String getBaseunit() {
        return baseunit;
    }

    public void setBaseunit(String baseunit) {
        this.baseunit = baseunit == null ? null : baseunit.trim();
    }

    public String getCalctype() {
        return calctype;
    }

    public void setCalctype(String calctype) {
        this.calctype = calctype == null ? null : calctype.trim();
    }

    public String getInterval() {
        return interval;
    }

    public void setInterval(String interval) {
        this.interval = interval == null ? null : interval.trim();
    }

    public String getStartformat() {
        return startformat;
    }

    public void setStartformat(String startformat) {
        this.startformat = startformat == null ? null : startformat.trim();
    }

    public String getEndformat() {
        return endformat;
    }

    public void setEndformat(String endformat) {
        this.endformat = endformat == null ? null : endformat.trim();
    }

    public String getTimeformat() {
        return timeformat;
    }

    public void setTimeformat(String timeformat) {
        this.timeformat = timeformat == null ? null : timeformat.trim();
    }

    public String getExtrainfo() {
        return extrainfo;
    }

    public void setExtrainfo(String extrainfo) {
        this.extrainfo = extrainfo == null ? null : extrainfo.trim();
    }

    public String getGrandefault() {
        return grandefault;
    }

    public void setGrandefault(String grandefault) {
        this.grandefault = grandefault == null ? null : grandefault.trim();
    }

    public String getOffsetinfo() {
        return offsetinfo;
    }

    public void setOffsetinfo(String offsetinfo) {
        this.offsetinfo = offsetinfo == null ? null : offsetinfo.trim();
    }

    public String getCreateman() {
        return createman;
    }

    public void setCreateman(String createman) {
        this.createman = createman == null ? null : createman.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public String getUpdateman() {
        return updateman;
    }

    public void setUpdateman(String updateman) {
        this.updateman = updateman == null ? null : updateman.trim();
    }

    public Date getUpdatetime() {
        return updatetime;
    }

    public void setUpdatetime(Date updatetime) {
        this.updatetime = updatetime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", defid=").append(defid);
        sb.append(", defname=").append(defname);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", standunit=").append(standunit);
        sb.append(", baseunit=").append(baseunit);
        sb.append(", calctype=").append(calctype);
        sb.append(", interval=").append(interval);
        sb.append(", startformat=").append(startformat);
        sb.append(", endformat=").append(endformat);
        sb.append(", timeformat=").append(timeformat);
        sb.append(", extrainfo=").append(extrainfo);
        sb.append(", grandefault=").append(grandefault);
        sb.append(", offsetinfo=").append(offsetinfo);
        sb.append(", createman=").append(createman);
        sb.append(", createtime=").append(createtime);
        sb.append(", updateman=").append(updateman);
        sb.append(", updatetime=").append(updatetime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}